﻿Type=Activity
Version=2.22
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim sql1 As SQL
	Dim DBFileName As String				: DBFileName = "countries.db"
	Dim DBFileDir As String					: DBFileDir = File.DirDefaultExternal
	''Dim DBFileDir As String					: DBFileDir = File.DirInternal
	Dim cur As Cursor 
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim lbldela, lblpanala,lbltotal As Label
	Dim CsCal As CustomCalendar
	Dim lansare As String 
	Dim txtdela ,txtpanala As EditText 
	Dim sv As ScrollView 
	Dim header As Panel 
	Dim nrcol As Int 
	Dim HeaderColor, TableColor, FontColor, HeaderFontColor As Int
	Dim FontSize As Float
	HeaderColor = Colors.Gray 
	HeaderFontColor = Colors.White 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	sql1.Initialize(DBFileDir, DBFileName, True)
	Activity.LoadLayout("rapincasari")
	Activity.Title="Raport incasari"
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub txtpanala_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then 
		CsCal.Initialize(Me,"CsCal",100%x,100%y,DateTime.Now)
		Activity.AddView(CsCal.AsView,0,0,100%x,100%y)	
		CsCal.ShowCalendar(True)
		lansare="panala"
	End If 
End Sub
Sub txtdela_FocusChanged (HasFocus As Boolean)
	If HasFocus = True Then 
		CsCal.Initialize(Me,"CsCal",100%x,100%y,DateTime.Now)
		Activity.AddView(CsCal.AsView,0,0,100%x,100%y)	
		CsCal.ShowCalendar(True)
		lansare="dela"
	End If 
	
End Sub
Sub incarctabel(dela As String , panala As String)
Dim colwidth As Int 
Dim rowhight As Int 
Dim comanda As String 
comanda="Select * from vactivzilnica where data>='" & dela & "' and data <='" & panala & "' and suma >'0'"
''comanda="Select * from vactivzilnica where data ='2012-12-06'and suma>'0'"
rowhight=30dip
nrcol=3
Dim rand(nrcol) As String 
Dim numeHeader() As String

numeHeader=Array As String("Nume Prenume","Data","Suma")
colwidth = sv.Width  /nrcol
'' adaug header 
header.Initialize("")
For x = 0 To nrcol - 1
		Dim lb As Label
		lb.Initialize("header")
		lb.Text = numeHeader(x)''numeHeader(i)
	
		lb.Gravity = Gravity.CENTER
		lb.TextSize = FontSize
		lb.Color = HeaderColor 
		lb.TextColor = HeaderFontColor
		lb.Tag = x
	
		header.AddView(lb, colwidth * x, 0, colwidth, rowhight)
	Next
	Activity.AddView(header, sv.Left, sv.Top - rowhight, sv.Width, rowhight)
	
	''sqltxt="Select id,nume,prenume,nrore,telefon,datanastere from datepers"
	cur=sql1.ExecQuery(comanda) 

	For y=0 To cur.RowCount -1 
	cur.Position =y 
	rand(0)=cur.Getstring("nume")&" "&cur.GetString("prenume")  
	rand(1)=cur.GetString("data")
	rand(2)=cur.Getint("suma")
	

		For i=0 To nrcol -1 
			Dim l As Label 
			l.Initialize("cell")
			l.Gravity =Gravity.CENTER 
			l.TextSize =18
			l.Text =rand(i)
			l.TextColor =HeaderFontColor
			Dim rc As RowCol 
			rc.Initialize 
			rc.Col =i
			rc.Row =y
			l.Tag =rc
			sv.Panel.AddView(l,colwidth*i,rowhight*y,colwidth,rowhight) 
			
		Next
	Next 


cur.Close 

lbltotal.Text ="Total incasari in perioada :"&txtdela.Text&"-"&txtpanala.Text&"		"&totalincasat(txtdela.Text ,txtpanala.Text)&" Lei"
sv.FullScroll(True)
sv.Panel.Height = rowhight * y

End Sub 
Sub totalincasat(dela As String ,panala As String)As String 
cur=sql1.ExecQuery("Select SUM(suma)as total from vactivzilnica where data>='" & dela & "' and data<='" & panala & "' and suma >'0'")
cur.Position=0
Return cur.GetInt("total") 
cur.Close 
End Sub 
Sub IsValidDate(Date As String) As Boolean    
	Try        
		DateTime.DateParse(Date)        
		Return True    
		Catch        
	Return False    
		End Try
End Sub
Sub CsCal_ItemClick(dt As Long)	
	CsCal.ShowCalendar(False)
	
	Dim aa,dd,mm As Int
	Dim ddn , mmn As String 
	Dim dataselectata As String 
	aa=DateTime.GetYear(dt)
	dd=DateTime.GetDayOfMonth(dt)
	mm=DateTime.GetMonth(dt)
	If dd<10 Then 
		ddn=0&dd
	Else
		ddn=dd
	End If 
	If mm<10 Then
		mmn=0&mm
	Else 
		mmn=mm
	End If 
	''txtDataNastere.Text  = dd & " " & CsCal.NmFullMonth(mm-1) & " " & aa
	dataselectata  = aa & "-" & mmn & "-" & ddn
	
	If lansare="dela" Then
		txtdela.Text =dataselectata
	End If
	
	If lansare ="panala" Then 
		txtpanala.Text =dataselectata
	End If 
	
	CsCal.ShowCalendar(False)
	
End Sub
Sub golirelista 
For i = sv.Panel .NumberOfViews -1 To 0 Step -1
		sv.Panel.RemoveViewAt(i)
	Next
	sv.Panel.height = 0
	
End Sub 
Sub btnaplica_Click
golirelista
	If txtdela.Text <>"De la data :" AND txtpanala.Text <>"Pana la data :" Then
		 incarctabel(txtdela.Text ,txtpanala.Text)
	End If
txtdela.Text ="De la data :"
txtpanala.Text ="Pana la data :"
End Sub